# tronc.hpp File Reference

defines a limited segment over another generic_file. More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`

Go to the source code of this file.

## Classes
class | libdar::tronc
| make a segment of a generic_file appear like a real generic_file More...
## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

defines a limited segment over another generic_file.

This is used to read a part of a file as if it was a real file generating end of file behavior when reaching the given length.

Definition in file tronc.hpp.